local E, L, V, P, G = unpack(ElvUI);
local mPlugin = "mMediaTag"
local mMT = E:GetModule(mPlugin);

function mMT:LoadDBMProfile()
	DBM_AllSavedOptions = {
		["Default"] = {
			["DontShowFarWarnings"] = true,
			["ChosenVoicePack"] = "None",
			["DontShowHudMap2"] = false,
			["AlwaysPlayVoice"] = false,
			["ShowSWarningsInChat"] = true,
			["DontShowNameplateLines"] = false,
			["RangeFrameRadarY"] = -135.0001068115234,
			["DontRestoreIcons"] = false,
			["DontShowNameplateIcons"] = false,
			["CoreSavedRevision"] = 20201224010152,
			["RangeFrameX"] = 369.760498046875,
			["RangeFrameY"] = -218.0002899169922,
			["FilterInterruptNoteName"] = false,
			["EnableModels"] = true,
			["SpecialWarningFlashAlph3"] = 0.4,
			["ArrowPoint"] = "TOP",
			["SWarnNameInNote"] = true,
			["FakeBWVersion"] = false,
			["InfoFramePoint"] = "LEFT",
			["EventSoundMusicCombined"] = false,
			["SpecialWarningFlashCol2"] = {
				1, -- [1]
				0.5, -- [2]
				0, -- [3]
			},
			["WarningAlphabetical"] = true,
			["WarningFont"] = "Interface\\AddOns\\ElvUI\\Media\\Fonts\\PTSansNarrow.ttf",
			["CheckGear"] = true,
			["SpecialWarningX"] = 0,
			["WorldBossAlert"] = false,
			["DontShowPT2"] = false,
			["DontShowSpecialWarnings"] = false,
			["MoviesSeen"] = {
			},
			["ShowQueuePop"] = true,
			["ShowAllVersions"] = true,
			["ForumsMessageShown"] = false,
			["DontShowTargetAnnouncements"] = true,
			["ShowWarningsInChat"] = true,
			["ShowReminders"] = true,
			["SpecialWarningFontCol"] = {
				1, -- [1]
				0.7, -- [2]
				0, -- [3]
			},
			["InfoFrameFontStyle"] = "None",
			["WarningFontStyle"] = "None",
			["EventSoundEngage2"] = "None",
			["InfoFrameY"] = -131.0001373291016,
			["ChatFrame"] = "DEFAULT_CHAT_FRAME",
			["WarningIconRight"] = true,
			["UseSoundChannel"] = "Master",
			["RangeFrameRadarX"] = 243.0003051757813,
			["ShowRespawn"] = true,
			["EventSoundWipe"] = "None",
			["InfoFrameCols"] = 0,
			["AlwaysShowSpeedKillTimer2"] = false,
			["FilterDispel"] = true,
			["DebugLevel"] = 1,
			["LFDEnhance"] = true,
			["SpecialWarningFlashDura1"] = 0.4,
			["DontShowPTNoID"] = false,
			["HideGarrisonToasts"] = true,
			["RangeFramePoint"] = "LEFT",
			["SpecialWarningFontShadow"] = false,
			["EventMusicMythicFilter"] = true,
			["HideBossEmoteFrame2"] = true,
			["NPAuraSize"] = 40,
			["HideObjectivesFrame"] = true,
			["SpecialWarningShortText"] = true,
			["DontShowPTText"] = false,
			["SpecialWarningFontSize2"] = 35,
			["SpecialWarningFlashCol5"] = {
				0.2, -- [1]
				1, -- [2]
				1, -- [3]
			},
			["UseNameplateHandoff"] = true,
			["SpecialWarningFlashAlph4"] = 0.4,
			["PTCountThreshold2"] = 5,
			["SpecialWarningFlashCount2"] = 1,
			["WarningPoint"] = "CENTER",
			["EventSoundDungeonBGM"] = "None",
			["DontShowPTCountdownText"] = false,
			["CountdownVoice2"] = "Kolt",
			["AutoAcceptGuildInvite"] = false,
			["EnableWBSharing"] = true,
			["ArrowPosX"] = 0,
			["DontPlayTrivialSpecialWarningSound"] = true,
			["AITimer"] = true,
			["SpecialWarningFlashDura3"] = 1,
			["WarningShortText"] = true,
			["FilterInterrupt2"] = "TandFandBossCooldown",
			["FilterTrashWarnings2"] = true,
			["SpecialWarningSound4"] = 9278,
			["RLReadyCheckSound"] = true,
			["AutoReplySound"] = true,
			["DisableSFX"] = false,
			["AutologBosses"] = false,
			["SpecialWarningFlashDura4"] = 0.7,
			["EventSoundMusic"] = "None",
			["HideQuestTooltips"] = true,
			["SpecialWarningFlashCol3"] = {
				1, -- [1]
				0, -- [2]
				0, -- [3]
			},
			["WarningColors"] = {
				{
					["b"] = 0.9411764705882353,
					["g"] = 0.8,
					["r"] = 0.4117647058823529,
				}, -- [1]
				{
					["b"] = 0,
					["g"] = 0.9490196078431372,
					["r"] = 0.9490196078431372,
				}, -- [2]
				{
					["b"] = 0,
					["g"] = 0.5019607843137255,
					["r"] = 1,
				}, -- [3]
				{
					["b"] = 0.1019607843137255,
					["g"] = 0.1019607843137255,
					["r"] = 1,
				}, -- [4]
			},
			["SpecialWarningFlash5"] = true,
			["SWarningAlphabetical"] = true,
			["DebugMode"] = false,
			["BlockNoteShare"] = false,
			["ShowGuildMessages"] = true,
			["SWarnClassColor"] = true,
			["DontPlaySpecialWarningSound"] = false,
			["ModelSoundValue"] = "Short",
			["SpecialWarningFlashCount5"] = 3,
			["DontShowReminders"] = false,
			["WarningY"] = 260,
			["RangeFrameRadarPoint"] = "LEFT",
			["SpecialWarningY"] = 75,
			["CustomSounds"] = 0,
			["VoiceOverSpecW2"] = "DefaultOnly",
			["RangeFrameUpdates"] = "Average",
			["MovieFilter2"] = "OnlyFight",
			["HideTooltips"] = false,
			["RaidWarningSound"] = 11742,
			["DontRestoreRange"] = false,
			["SpecialWarningFlash2"] = true,
			["SpecialWarningFlashCount3"] = 3,
			["RoleSpecAlert"] = true,
			["WhisperStats"] = false,
			["SilentMode"] = false,
			["LogOnlyNonTrivial"] = true,
			["DontPlayPTCountdown"] = false,
			["SpecialWarningFlashAlph5"] = 0.5,
			["SpecialWarningDuration2"] = 1.5,
			["WarningIconLeft"] = true,
			["RangeFrameLocked"] = false,
			["ShowEngageMessage"] = true,
			["RangeFrameSound1"] = "none",
			["InfoFrameX"] = 371.7606811523438,
			["WarningFontSize"] = 20,
			["EventSoundVictory2"] = "None",
			["SpecialWarningFlashDura2"] = 0.4,
			["LastRevision"] = 0,
			["ArrowPosY"] = -150,
			["SettingsMessageShown"] = true,
			["SpecialWarningFlashCount4"] = 2,
			["SpecialWarningSound2"] = 15391,
			["RangeFrameSound2"] = "none",
			["SpecialWarningPoint"] = "CENTER",
			["DontSetIcons"] = false,
			["BigBrotherAnnounceToRaid"] = false,
			["RecordOnlyBosses"] = false,
			["CountdownVoice"] = "Corsica",
			["InfoFrameLines"] = 0,
			["CountdownVoice3"] = "Smooth",
			["DontShowUserTimers"] = false,
			["SpecialWarningFlashAlph2"] = 0.3,
			["AutoRespond"] = true,
			["DisableStatusWhisper"] = false,
			["EventDungMusicMythicFilter"] = true,
			["DontShowRangeFrame"] = false,
			["RangeFrameFrames"] = "radar",
			["DontPlayCountdowns"] = false,
			["ShowBigBrotherOnCombatStart"] = false,
			["SpecialWarningIcon"] = true,
			["InfoFrameFont"] = "standardFont",
			["SpecialWarningFlashAlph1"] = 0.3,
			["ShowDefeatMessage"] = true,
			["FilterTankSpec"] = true,
			["WarningDuration2"] = 1.5,
			["WarningFontShadow"] = true,
			["InfoFrameShowSelf"] = false,
			["SpecialWarningFont"] = "Interface\\AddOns\\ElvUI\\Media\\Fonts\\PTSansNarrow.ttf",
			["SpecialWarningFlash1"] = true,
			["WarningX"] = 0,
			["DontShowBossTimers"] = false,
			["SpecialWarningFontStyle"] = "THICKOUTLINE",
			["DontShowSpecialWarningFlash"] = false,
			["SpecialWarningFlash4"] = true,
			["SpecialWarningFlashDura5"] = 1,
			["WorldBossNearAlert"] = false,
			["DontShowBossAnnounces"] = false,
			["BadIDAlert"] = false,
			["SpecialWarningFlashCol1"] = {
				1, -- [1]
				1, -- [2]
				0, -- [3]
			},
			["AutoAcceptFriendInvite"] = false,
			["WarningIconChat"] = true,
			["SpecialWarningFlashCount1"] = 1,
			["HideGuildChallengeUpdates"] = true,
			["SpecialWarningSound5"] = 128466,
			["DontSendYells"] = false,
			["ShowPizzaMessage"] = true,
			["AdvancedAutologBosses"] = false,
			["GUIHeight"] = 600,
			["SpecialWarningFlash3"] = true,
			["ShortTimerText"] = true,
			["Enabled"] = true,
			["DontShowInfoFrame"] = false,
			["GUIWidth"] = 800,
			["FilterVoidFormSay"] = true,
			["DontShowSpecialWarningText"] = false,
			["SpecialWarningSound3"] = "Interface\\AddOns\\DBM-Core\\sounds\\AirHorn.ogg",
			["SpecialWarningSound"] = 8174,
			["InfoFrameFontSize"] = 12,
			["StripServerName"] = true,
			["DisableGuildStatus"] = false,
			["ShowGuildMessagesPlus"] = false,
			["BadTimerAlert"] = false,
			["LatencyThreshold"] = 250,
			["AFKHealthWarning"] = false,
			["SpecialWarningFlashCol4"] = {
				1, -- [1]
				0, -- [2]
				1, -- [3]
			},
			["HelpMessageVersion"] = 3,
		},
	}
	DBM_MinimapIcon = {
		["hide"] = true,
	}
end